org.apache.ignite.plugin.extensions.communication

## Enum MessageAdapter.Type

- java.lang.Object
- - java.lang.Enum<MessageAdapter.Type>
  - - org.apache.ignite.plugin.extensions.communication.MessageAdapter.Type

All Implemented Interfaces:
  Serializable, Comparable<MessageAdapter.Type>

Enclosing class:
  MessageAdapter

    public static enum MessageAdapter.Type
    extends Enum<MessageAdapter.Type>

Enum representing possible types of collection items.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BIT_SET` Bit set.
`BOOLEAN` Boolean.
`BOOLEAN_ARR` Boolean array.
`BYTE` Byte.
`BYTE_ARR` Byte array.
`CHAR` Character.
`CHAR_ARR` Character array.
`DOUBLE` Double.
`DOUBLE_ARR` Double array.
`FLOAT` Float.
`FLOAT_ARR` Float array.
`IGNITE_UUID` Ignite UUID.
`INT` Integer.
`INT_ARR` Integer array.
`LONG` Long.
`LONG_ARR` Long array.
`MSG` Message.
`SHORT` Short.
`SHORT_ARR` Short array.
`STRING` String.
`UUID` UUID.

### Method Summary

Methods
`static MessageAdapter.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageAdapter.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BYTE

    public static final MessageAdapter.Type BYTE

Byte.

#### SHORT

    public static final MessageAdapter.Type SHORT

Short.

#### INT

    public static final MessageAdapter.Type INT

Integer.

#### LONG

    public static final MessageAdapter.Type LONG

Long.

#### FLOAT

    public static final MessageAdapter.Type FLOAT

Float.

#### DOUBLE

    public static final MessageAdapter.Type DOUBLE

Double.

#### CHAR

    public static final MessageAdapter.Type CHAR

Character.

#### BOOLEAN

    public static final MessageAdapter.Type BOOLEAN

Boolean.

#### BYTE_ARR

    public static final MessageAdapter.Type BYTE_ARR

Byte array.

#### SHORT_ARR

    public static final MessageAdapter.Type SHORT_ARR

Short array.

#### INT_ARR

    public static final MessageAdapter.Type INT_ARR

Integer array.

#### LONG_ARR

    public static final MessageAdapter.Type LONG_ARR

Long array.

#### FLOAT_ARR

    public static final MessageAdapter.Type FLOAT_ARR

Float array.

#### DOUBLE_ARR

    public static final MessageAdapter.Type DOUBLE_ARR

Double array.

#### CHAR_ARR

    public static final MessageAdapter.Type CHAR_ARR

Character array.

#### BOOLEAN_ARR

    public static final MessageAdapter.Type BOOLEAN_ARR

Boolean array.

#### STRING

    public static final MessageAdapter.Type STRING

String.

#### BIT_SET

    public static final MessageAdapter.Type BIT_SET

Bit set.

#### UUID

    public static final MessageAdapter.Type UUID

UUID.

#### IGNITE_UUID

    public static final MessageAdapter.Type IGNITE_UUID

Ignite UUID.

#### MSG

    public static final MessageAdapter.Type MSG

Message.

### Method Detail

#### values

    public static MessageAdapter.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MessageAdapter.Type c : MessageAdapter.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MessageAdapter.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015